### Method

# GtkSource LanguageManager get_language

#### Declaration [src]

    GtkSourceLanguage*
    gtk_source_language_manager_get_language (
      GtkSourceLanguageManager* lm,
      const gchar* id
    )

#### Description [src]

Gets the `GtkSourceLanguage` identified by the given `id` in the language manager.

#### Parameters

`id`

  Type: `const gchar*`

  A language id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceLanguage`

A `GtkSourceLanguage`, or `NULL` if there is no language identified by the given `id`. Return value is owned by `lm` and should not be freed.

The returned data is owned by the instance.
The return value can be `NULL`.